package application

import (
	"fmt"
	"sirlab.de/go/knyt/user"
)

func (app Application) GetUserById(id string) (*user.User, error) {
	usr := app.users[id]
	if usr == nil {
		return nil, fmt.Errorf("unknown id")
	}
	return usr, nil
}
